//
//  ICeCoffEEWebPolicyDelegate.m
//  ICeCoffEE
//
//  Created by Nicholas Riley on 3/6/08.
//  Copyright 2008 Nicholas Riley. All rights reserved.
//

#import "ICeCoffEEWebPolicyDelegate.h"
#import <WebKit/WebKit.h>

@implementation ICeCoffEEWebPolicyDelegate

+ (ICeCoffEEWebPolicyDelegate *)sharedDelegate;
{
    static ICeCoffEEWebPolicyDelegate *sharedDelegate = nil;
    
    if (sharedDelegate == nil)
	sharedDelegate = [[self alloc] init];
    
    return sharedDelegate;
}

@end

@implementation ICeCoffEEWebPolicyDelegate (WebPolicyDelegate)

- (void)webView:(WebView *)webView decidePolicyForNavigationAction:(NSDictionary *)actionInformation
							   request:(NSURLRequest *)request
							     frame:(WebFrame *)frame
						  decisionListener:(id<WebPolicyDecisionListener>)listener;
{
    [listener ignore];
}

@end
